Events
Get Event
Fetches detailed information about an event based on its unique slug
Authorization
http AuthorizationBasic <token>
Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.
In: header
Path Parameters
event_slug*string
The slug of the event to retrieve
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.ethiack.com/v1/events/string/"{
"id": null,
"name": "string",
"slug": "string",
"organization_id": 0,
"event_type": 0,
"event_category": 0,
"dimension": null,
"latitude": null,
"longitude": null,
"start_date": "2019-08-24T14:15:22Z",
"end_date": "2019-08-24T14:15:22Z",
"status": "paused",
"dimension_type": null,
"picture": null
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}{
"code": 0,
"name": null,
"description": "string",
"success": false
}Create machine Event POST
Create a new machine event with the provided event details. > **Note:** This operation can be performed by integrators or organizations. > Organizations may omit `organization_id`.
List Events GET
Fetches a list of events based on filter criteria, such as running status and organization ID